// JavaScript Document

function  remote_reg_check()
      {
              
			   if (document.form1.studentid.value.length==0)
			   {
				   alert("[软件提示]：请定义准考证号");
				   document.form1.studentid.focus();
				   return false;
			   }
			   
			   if (document.form1.studentid.value.length<3)
			   {
				   alert("[软件提示]：请定义准考证号,准考证号数字不少于3个字符.");
				   document.form1.studentid.focus();
				   return false;
			   }
			   
			    if (document.form1.studentname.value.length==0)
			   {
				   alert('[软件提示]：请输入您的姓名.');
				   document.form1.studentname.focus();
				   return false;
			   }
			   if (document.form1.password1.value.length==0)
			   {
				   alert("[软件提示]：请输入密码."); 
				   document.form1.password1.focus();
				   return false;
			   }
			 
			   if (document.form1.password2.value.length==0)
			   {
				   alert("[软件提示]：请重复输入密码."); 
				   document.form1.password2.focus();
				   return false;
			   }
			 
			   if (document.form1.password1.value!=document.form1.password2.value)
			   {
				   alert("[软件提示]：前后密码不一致."); 
				   document.form1.password1.focus();
				   return false;
			   }
			   
			   if (document.form1.password1.value.length<3)
			   {
				   alert("[软件提示]：密码太短，不得少于3位数字."); 
				   document.form1.password1.focus();
				   return false;
			   }
			   
			   var len=document.getElementsByName('mydatabase').length;
			  
			   var check_obj=document.getElementsByName('mydatabase');
			   var db_flag=0;
			   for(var g=0;g<len;g++)
			   {
				   
				   if (check_obj[g].checked==true)
				   {
					   db_flag=1;
				   }
			   }
			   if (db_flag==0)
			   {
				   alert("[软件提示]：请选择数据库,以便登录时可直接到您选择的数据库."); 
				   return  false;
			   }
			   
			 
               else  
               {
                   //alert("^-^ OK");
				   document.form1.action='admin_stu_reg_process.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		


function jscheck_unvalid_char(sss) 
{ 
  
     var Letters='~!@#$%^&*()';    ///-----在此表中都是非法的------------------------
     var i; 
     var c; 
	 c=0;
	 var flag=0;
      for( i=0; i<sss.length; i++ ) 
     { 
          // c=String.charAt(i); 
		   c=Letters.indexOf(sss.charAt(i));
	
           if (c==-1) 
          { 
			   flag=1;
			   break;
           } 
		
     } 
	 
      if  (flag==1)
	  {
		   //document.getElementById("info").innerHTML=display_info1('不允许特殊字符存在'); 
		   permit4=0; 
		   return false;
	  }
	  else
	  {
		  document.getElementById("info").innerHTML=display_info1('不允许特殊字符存在'); 
		  
		   permit4=1; 
		   return false;
	  }
   
} 




function display_info1(info)
{
	
	   
	            var   dis1;
				
		        dis1='<table width=98% border=0 cellspacing=0 cellpadding=0>';
                dis1=dis1+'  <tr>';
                dis1=dis1+' <td width=60% height=20 bgcolor=#eeeeee><font color=red>'+info+'</font></td>';
                dis1=dis1+' <td width=40% bgcolor=#FFFFFF>&nbsp;</td>';
                dis1=dis1+' </tr>';
                dis1=dis1+' </table>';
				
				return  dis1;
	
}



function display_info2(info)
{
	
	   
	            var   dis1;
				
		        dis1='<table width=98% border=0 cellspacing=0 cellpadding=0>';
                dis1=dis1+'  <tr>';
                dis1=dis1+' <td width=60% height=20 bgcolor=#eeeeee><font color=green>'+info+'</font></td>';
                dis1=dis1+' <td width=40% bgcolor=#FFFFFF>&nbsp;</td>';
                dis1=dis1+' </tr>';
                dis1=dis1+' </table>';
				
				return  dis1;
	
}


function  login_check()
      {
              
			   if (document.form1.username.value.length==0)
			   {
				   alert("[软件提示]：请输入用户名");
				   document.form1.username.focus();
				   return false;
			   }
			  
			   if (document.form1.pass1.value.length==0)
			   {
				   alert("[软件提示]：请输入密码"); 
				   document.form1.pass1.focus();
				   return false;
			   }
			 
			   var attachCode = document.form1.attach.value;
			  
               if(attachCode.length <=0)
                {
                     alert("[软件提示]：请输入验证码！");
					 document.form1.attach.focus();
					 return false;
                }
               if(attachCode.toUpperCase()!=code)
               {
                   alert("[软件提示]：验证码输入错误！");
                   createCode();//刷新验证码
				   document.form1.attach.focus();
				   return false;
				   
               }
			 
               else 
               {
                   //alert("^-^ OK");
				   document.form1.action='check_login.php';
				   document.form1.submit();
               }
			   
			   
       
        }
		

